﻿@model IEnumerable<WebApp.Models.Infoclass>

@{
    ViewData["Title"] = "Index";
}
<link rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<style type="text/css">
    .icon {
        padding: 10px;
        min-width: 40px;
    }

    .errspan {
        float: right;
        margin-right: 6px;
        margin-top: -20px;
        position: relative;
        z-index: 2;
        color: red;
    }

    .input-field {
        width: 100%;
        position: relative;
        /*        padding: 10px;
    */ /*text-align: center;*/
    }
</style>
<h1>Index</h1>
<div class="row">
    <div class="col-9">
        <p>
            <a asp-action="Create">Create New</a>
        </p>
    </div>
    <div class="col">
        <form asp-action="mySearch">
            <input style="background: url(../search-solid.svg) no-repeat scroll 1px 1px; padding-left: 30px;" type="text" class="input-field" name="textSearch" />
        </form>
        @*<span class="fa fa-search icon"></span>*@
    </div>


</div>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Price)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Price)
                </td>
                <td>
                    <a asp-action="Edit" asp-route-id="@item.InfoId">Edit</a> |
                    <a asp-action="Details" asp-route-id="@item.InfoId">Details</a> |
                    <a asp-action="Delete" asp-route-id="@item.InfoId">Delete</a>
                </td>
            </tr>
        }
    </tbody>
</table>
